导出运行结果
方法: POST
端点: /api/v1/run/result/export
使用 Content-Type: application/json 发送请求体。
POST
/api/v1/run/result/exportExport run resultsRequired
Stored only in this browser tab. Sent only to https://openapi.coreclaw.com.
BodyRequiredapplication/json
FieldTypeRequiredDescription
run_slugstringyesRun slug whose results should be exported.filter_keysstring[]yesOptional list of field keys to keep in the export. Use `[]` to export all fields.formatenum (2)yesExport file format.Request body (JSON)
{ "run_slug": "YOUR_RUN_SLUG", "filter_keys": [], "format": "csv"}| 参数 | 示例值 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
| run_slug | YOUR_RUN_SLUG | String | 是 | 运行唯一标识符 |
| filter_keys | [] | String[] | 是 | 要导出的字段。使用 [] 导出全部字段 |
| format | csv | String | 是 | 导出格式:csv 或 json |
{ "code": 0, "message": "success", "data": { "download_url": "https://..." }}| 参数 | 示例 | 类型 | 说明 |
|---|---|---|---|
| code | 0 | Integer | 全局状态码 |
| message | success | String | 响应消息 |
| data | - | Object | 响应数据 |
| download_url | - | String | 导出文件下载 URL |